package com.smsc.bo;

import java.sql.Connection;
import java.sql.ResultSet;
import java.sql.Statement;
import java.util.concurrent.ConcurrentHashMap;

import javax.jms.JMSException;
import javax.jms.Message;
import javax.jms.ObjectMessage;

import org.apache.log4j.Category;

import com.smsc.config.SMSCAppConfig;
import com.smsc.constants.RequestMsgConstants;
import com.smsc.servlets.SMSCMainThread;
import com.tejosma.pform.common.constants.SMSConstant;
import com.tejosma.pform.common.db.ConnectionInfo;
import com.tejosma.pform.common.jms.JMSFailover;
import com.tejosma.pform.common.jms.JMSReceiver;
import com.tejosma.pform.common.jms.JMSSender;
import com.tejosma.pform.common.util.StringUtil;

public class JMSMessageReceiverBO extends JMSReceiver{

	private String jmsQName;
	private Category logger = Category.getInstance(JMSMessageReceiverBO.class.getName());
	
	public JMSMessageReceiverBO(String jmsQName) {
		this.jmsQName = jmsQName;
	}
	

	/**
	 * Message listener class
	 */
	public void onMessage(Message message) {
		ObjectMessage om = (ObjectMessage) message;
		MessageDetailsBO msgBO;
		try {
			msgBO = (MessageDetailsBO) om.getObject();
			processMessage(msgBO);
			msgBO = null;
		} catch (JMSException e) {
			logger.error("JMSMessageReceiverBO:onMessage:for queue: "+jmsQName +" error:" + e.toString());
		}
	}
	
}